Ver Feed RSS

Olhos que ardem...

Dica - Atualizando o Python no Gentoo

Avalie este Post de Blog
Nome:      9901-logo..png
Visitas:     373
Tamanho:  10,9 KBUma pequena dica para quem usa Gentoo.
Após atualizar o Python no Gentoo Linux, alguns pacotes podem apresentar erros durante suas atualizações via emerge. Isso porque estes estão ligados (linkados) com as bibliotecas da versão antiga do Python.
No meu caso houve erros depois de atualizar o Python 2.6 para o Python 3.1.1-r1.

Após atualizarr o Ptyhon, utilize o comando:

Código:
python-updater -v
Algumas mensagens irao aparecer:

Código:
* Starting Python Updater...
 * Main  active version of Python:  3.1
 * Active version of Python 2:     2.6
 * Active version of Python 3:     3.1
 * check \\"shared_linking\\" enabled.
 *  check \\"static_linking\\" enabled.
 *  check \\"pylibdir\\" enabled.
 * check  \\"manual\\" enabled.
 * check \\"need_rebuild\\" enabled.
...
Logo após a checagem os pacotes serão recompilados utilizando as nova versao do Python. Utilize o comando:
Código:
# revdep-rebuild
para uma checagem na árvore de dependências.

Depois disso as atualizações via emerge ocorrerão normalmente.
Obtive essa solução recentemente, ao tentar atualizar meu Gentoo Linux.

Para um Utilize o comando:
# revdep-rebuild


Ab, Duca.

Comentários


+ Enviar Comentário



Visite: BR-Linux ·  VivaOLinux ·  Dicas-L